Subject: bug#23443: 25.0.93; Temporary change to syntax-table is in effect during syntax-propertize

From: Noam Postavsky <[email-masked]>
Date: Sun, 8 May 2016 14:51:02 -0400

On Sat, May 7, 2016 at 8:58 PM, Dmitry Gutov <[email-masked]> wrote:
> Hi Noam,
>
> On 05/04/2016 01:41 PM, Noam Postavsky wrote:
>>
>> In Emacs 24.5, it runs without a problem. It's not entirely clear to
>> me who should be reponsible for ensuring the right syntax-table during
>> syntax-propertize.
>
>
> IIUC, the difference is that in Emacs 25 scan-sexps and other low-level
> primitives started calling syntax-propertize when appropriate. And in 24.5
> test-check-syntax-table is only called after (probably by font-lock).
>
> In that's the reason, the new behavior is the correct one.

So yasnippet mustn't use scan-sexps whilst the syntax-table has been changed?